## EmpathyTpContactList

EmpathyTpContactList

## Synopsis

                        EmpathyTpContactList;
    EmpathyTpContactList * empathy_tp_contact_list_new      (TpConnection *connection);
    TpConnection *      empathy_tp_contact_list_get_connection
                                                            (EmpathyTpContactList *list);
    void                empathy_tp_contact_list_remove_all  (EmpathyTpContactList *list);

## Object Hierarchy

      GObject
       +----EmpathyTpContactList

## Implemented Interfaces

EmpathyTpContactList implements EmpathyContactList.

## Properties

      "connection"               TpConnection*         : Read / Write / Construct Only

## Description

## Details

### EmpathyTpContactList

    typedef struct _EmpathyTpContactList EmpathyTpContactList;

### empathy_tp_contact_list_new ()

    EmpathyTpContactList * empathy_tp_contact_list_new      (TpConnection *connection);

`connection` : |
Returns : |

### empathy_tp_contact_list_get_connection ()

    TpConnection *      empathy_tp_contact_list_get_connection
                                                            (EmpathyTpContactList *list);

`list` : |
Returns : |

### empathy_tp_contact_list_remove_all ()

    void                empathy_tp_contact_list_remove_all  (EmpathyTpContactList *list);

`list` : |

## Property Details

### The `"connection"` property

      "connection"               TpConnection*         : Read / Write / Construct Only

The connection associated with the contact list.